MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029735Open CASCADE[OCCT] OCCT:DRAWpublic2018-05-04 12:002018-06-29 21:18
Reporternds 
Assigned Toabv 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029735: Draw Harness - command to set 2D mode for viewer in ViewerTest package
DescriptionProvide a possibility to avoid:
- rotation of the viewer by mouse
- change viewer position by Hot-keys, such as "A/D/T/B/L/R" to do correspondingly "AXO/Reset/Top/Bottom/Left/Right".

View camera position might be changed only by commands.
TagsNo tags attached.
Test case numberNot requared
Attached Files

- Relationships

-  Notes
(0075830)
git (administrator)
2018-05-04 12:09

Branch CR29735 has been created by nds.

SHA-1: 269d57844f6fd0f3669bd5801bd3bcc067d2b8e1


Detailed log of new commits:

Author: nds
Date: Fri May 4 12:09:21 2018 +0300

    0029735: DRAW - command to set 2D mode for viewer in ViewerTest package
    
    - vinit command extension by -2d_mode parameter
    - vset2dmode new command to switch On/Off the mode
(0075838)
git (administrator)
2018-05-07 10:20

Branch CR29735_1 has been created by nds.

SHA-1: 3582c28ed41a86c4812119f3b715a9004307abe3


Detailed log of new commits:

Author: nds
Date: Mon May 7 10:20:14 2018 +0300

    0029735: DRAW - command to set 2D mode for viewer in ViewerTest package
    
    - vinit command extension by -2d_mode parameter
    - vset2dmode new command to switch On/Off the mode
(0075839)
nds (developer)
2018-05-07 10:58

Could you please review modifications.
(0075854)
git (administrator)
2018-05-07 14:53

Branch CR29735_2 has been created by nds.

SHA-1: 9a52c860541b879fd4b223e474cd72d7f7feaf2b


Detailed log of new commits:

Author: nds
Date: Mon May 7 14:53:41 2018 +0300

    0029735: DRAW - command to set 2D mode for viewer in ViewerTest package
    
    - vinit command extension by -2d_mode parameter
    - vset2dmode new command to switch On/Off the mode
(0075866)
git (administrator)
2018-05-08 10:19

Branch CR29735_3 has been created by kgv.

SHA-1: acd17a0a14954e2ee200880863264a96c5721c55


Detailed log of new commits:

Author: nds
Date: Mon May 7 14:53:41 2018 +0300

    0029735: Draw Harness - command to set 2D mode for viewer in ViewerTest package
    
    vinit command has been extended with new option -2d_mode.
    Added new command v2dmode to switch On/Off the mode.
(0075867)
kgv (developer)
2018-05-08 10:22

Minor corrections have been pushed to the branch CR29735_3.

A couple a comments:
- I would expect that "vinit -clone" would copy 2d flag.
- Global functions Set2DMode()/Is2DMode() do not look good.
  Consider renaming them.
- Please fix compilation for macOS target.
(0075901)
git (administrator)
2018-05-08 19:17

Branch CR29735_4 has been created by nds.

SHA-1: 6e33a66192228b6bc1c890666c73181d71f74dbc


Detailed log of new commits:

Author: nds
Date: Tue May 8 19:17:09 2018 +0300

    0029735: Draw Harness - command to set 2D mode for viewer in ViewerTest package
    
    vinit command has been extended with new option -2d_mode.
    Added new command v2dmode to switch On/Off the mode.
(0075902)
nds (developer)
2018-05-08 19:18

Could you please review.
(0075907)
git (administrator)
2018-05-08 20:45

Branch CR29735_5 has been created by kgv.

SHA-1: d5ef07a21bb0893e20eccf71c0116d75f79e2907


Detailed log of new commits:

Author: nds
Date: Tue May 8 19:17:09 2018 +0300

    0029735: Draw Harness - command to set 2D mode for viewer in ViewerTest package
    
    vinit command has been extended with new option -2d_mode.
    Added new command v2dmode to switch On/Off the mode.
(0075908)
kgv (developer)
2018-05-08 22:05

Please take the patch.

http://jenkins-test-11.nnov.opencascade.com/view/CR29735_5-master-KGV/ [^]
(0076140)
bugmaster (administrator)
2018-05-23 11:05

Combination -
OCCT branch : CR29735_5 SHA - d5ef07a21bb0893e20eccf71c0116d75f79e2907
Products branch : master SHA - 300cf879a836fb8a5c4636713070ca9cf544749f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18321.949999999826 / 18243.73999999987 [+0.43%]
Products
Total CPU difference: 7519.440000000043 / 7505.500000000054 [+0.19%]
Windows-64-VC10:
OCCT
Total CPU difference: 18110.28089079856 / 18049.78370299853 [+0.34%]
Products
Total CPU difference: 7672.643983299951 / 7697.713343999945 [-0.33%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076271)
git (administrator)
2018-05-24 18:13

Branch CR29735 has been deleted by kgv.

SHA-1: 269d57844f6fd0f3669bd5801bd3bcc067d2b8e1
(0076272)
git (administrator)
2018-05-24 18:13

Branch CR29735_1 has been deleted by kgv.

SHA-1: 3582c28ed41a86c4812119f3b715a9004307abe3
(0076273)
git (administrator)
2018-05-24 18:13

Branch CR29735_2 has been deleted by kgv.

SHA-1: 9a52c860541b879fd4b223e474cd72d7f7feaf2b
(0076274)
git (administrator)
2018-05-24 18:13

Branch CR29735_3 has been deleted by kgv.

SHA-1: acd17a0a14954e2ee200880863264a96c5721c55
(0076275)
git (administrator)
2018-05-24 18:13

Branch CR29735_4 has been deleted by kgv.

SHA-1: 6e33a66192228b6bc1c890666c73181d71f74dbc
(0076940)
git (administrator)
2018-06-23 13:56

Branch CR29735_5 has been deleted by kgv.

SHA-1: d5ef07a21bb0893e20eccf71c0116d75f79e2907

- Related Changesets
occt: master 2e93433e
Timestamp: 2018-05-08 16:17:09
Author: abv
Committer: abv
Details ] Diff ]
0029735: Draw Harness - command to set 2D mode for viewer in ViewerTest package

vinit command has been extended with new option -2d_mode.
Added new command v2dmode to switch On/Off the mode.
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-04 12:00 nds New Issue
2018-05-04 12:00 nds Assigned To => nds
2018-05-04 12:09 git Note Added: 0075830
2018-05-04 12:47 kgv Severity minor => feature
2018-05-04 12:47 kgv Summary DRAW - command to set 2D mode for viewer in ViewerTest package => Draw Harness - command to set 2D mode for viewer in ViewerTest package
2018-05-07 10:20 git Note Added: 0075838
2018-05-07 10:58 nds Note Added: 0075839
2018-05-07 10:58 nds Assigned To nds => kgv
2018-05-07 10:58 nds Status new => resolved
2018-05-07 12:32 nds Assigned To kgv => nds
2018-05-07 12:32 nds Status resolved => assigned
2018-05-07 14:53 git Note Added: 0075854
2018-05-08 10:19 git Note Added: 0075866
2018-05-08 10:22 kgv Note Added: 0075867
2018-05-08 19:17 git Note Added: 0075901
2018-05-08 19:18 nds Note Added: 0075902
2018-05-08 19:18 nds Assigned To nds => kgv
2018-05-08 19:18 nds Status assigned => resolved
2018-05-08 20:45 git Note Added: 0075907
2018-05-08 22:05 kgv Note Added: 0075908
2018-05-08 22:05 kgv Assigned To kgv => bugmaster
2018-05-08 22:05 kgv Status resolved => reviewed
2018-05-23 11:05 bugmaster Note Added: 0076140
2018-05-23 11:05 bugmaster Status reviewed => tested
2018-05-23 11:06 bugmaster Test case number => Not requared
2018-05-24 16:02 abv Changeset attached => occt master 2e93433e
2018-05-24 16:02 abv Assigned To bugmaster => abv
2018-05-24 16:02 abv Status tested => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-05-24 18:13 git Note Added: 0076271
2018-05-24 18:13 git Note Added: 0076272
2018-05-24 18:13 git Note Added: 0076273
2018-05-24 18:13 git Note Added: 0076274
2018-05-24 18:13 git Note Added: 0076275
2018-06-23 13:56 git Note Added: 0076940
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:18 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker